Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy.resolver
Class AbstractResolver

    java.lang.Object
      fr.jayasoft.ivy.resolver.AbstractResolver

All Implemented Interfaces:
  DependencyResolver, HasLatestStrategy, IvyAware

Direct Known Subclasses:
  AbstractURLResolver, BasicResolver, ChainResolver, DualResolver

public abstract class AbstractResolver
extends java.lang.Object
implements DependencyResolver, IvyAware, HasLatestStrategy

This abstract resolver only provides handling for resolver name

Constructor Summary
`AbstractResolver()`

Method Summary
`protected boolean` | `doValidate(ResolveData data)`
`void` | `dumpConfig()`
`boolean` | `exists(Artifact artifact)` Default implementation actually download the artifact Subclasses should overwrite this to avoid the download
`protected ResolvedModuleRevision` | `findModuleInCache(ResolveData data, ModuleRevisionId mrid)`
`protected Artifact` | `fromSystem(Artifact artifact)`
`protected DependencyDescriptor` | `fromSystem(DependencyDescriptor dd)`
`Ivy` | `getIvy()`
`java.lang.String` | `getLatest()`
`LatestStrategy` | `getLatestStrategy()`
`java.lang.String` | `getName()`
`Namespace` | `getNamespace()`
`protected IvyNode` | `getSystemNode(ResolveData data, ModuleRevisionId resolvedMrid)`
`java.lang.String` | `getTypeName()`
`boolean` | `isValidate()`
`ModuleEntry[]` | `listModules(OrganisationEntry org)`
`OrganisationEntry[]` | `listOrganisations()`
`RevisionEntry[]` | `listRevisions(ModuleEntry module)`
`void` | `reportFailure()` Reports last resolve failure as Messages
`void` | `reportFailure(Artifact art)` Reports last artifact download failure as Messages
`void` | `setIvy(Ivy ivy)`
`void` | `setLatest(java.lang.String strategyName)`
`void` | `setLatestStrategy(LatestStrategy latestStrategy)`
`void` | `setName(java.lang.String name)` Should only be used by configurator
`void` | `setNamespace(java.lang.String namespaceName)`
`void` | `setValidate(boolean validate)`
`java.lang.String` | `toString()`
`protected Artifact` | `toSystem(Artifact artifact)`
`protected ModuleDescriptor` | `toSystem(ModuleDescriptor md)`
`protected ModuleRevisionId` | `toSystem(ModuleRevisionId resolvedMrid)`
`protected ResolvedModuleRevision` | `toSystem(ResolvedModuleRevision rmr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface fr.jayasoft.ivy.DependencyResolver
`download, getDependency, publish`

Constructor Detail

### AbstractResolver

    public AbstractResolver()

Method Detail

### getIvy

    public Ivy getIvy()

### setIvy

    public void setIvy(Ivy ivy)

  Specified by:
    `setIvy` in interface `IvyAware`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `DependencyResolver`

### setName

    public void setName(java.lang.String name)

  Description copied from interface: `DependencyResolver`
  Should only be used by configurator

  Specified by:
    `setName` in interface `DependencyResolver`
  Parameters:
    `name` - the new name of the resolver

### doValidate

    protected boolean doValidate(ResolveData data)

### isValidate

    public boolean isValidate()

### setValidate

    public void setValidate(boolean validate)

### reportFailure

    public void reportFailure()

  Description copied from interface: `DependencyResolver`
  Reports last resolve failure as Messages

  Specified by:
    `reportFailure` in interface `DependencyResolver`

### reportFailure

    public void reportFailure(Artifact art)

  Description copied from interface: `DependencyResolver`
  Reports last artifact download failure as Messages

  Specified by:
    `reportFailure` in interface `DependencyResolver`
  Parameters:
    `art` -

### listOrganisations

    public OrganisationEntry[] listOrganisations()

  Specified by:
    `listOrganisations` in interface `DependencyResolver`

### listModules

    public ModuleEntry[] listModules(OrganisationEntry org)

  Specified by:
    `listModules` in interface `DependencyResolver`

### listRevisions

    public RevisionEntry[] listRevisions(ModuleEntry module)

  Specified by:
    `listRevisions` in interface `DependencyResolver`

### toString

    public java.lang.String toString()

### dumpConfig

    public void dumpConfig()

  Specified by:
    `dumpConfig` in interface `DependencyResolver`

### getTypeName

    public java.lang.String getTypeName()

### exists

    public boolean exists(Artifact artifact)

  Default implementation actually download the artifact Subclasses should overwrite this to avoid the download

  Specified by:
    `exists` in interface `DependencyResolver`

### getLatestStrategy

    public LatestStrategy getLatestStrategy()

  Specified by:
    `getLatestStrategy` in interface `HasLatestStrategy`

### setLatestStrategy

    public void setLatestStrategy(LatestStrategy latestStrategy)

  Specified by:
    `setLatestStrategy` in interface `HasLatestStrategy`

### setLatest

    public void setLatest(java.lang.String strategyName)

### getLatest

    public java.lang.String getLatest()

  Specified by:
    `getLatest` in interface `HasLatestStrategy`

### getNamespace

    public Namespace getNamespace()

### setNamespace

    public void setNamespace(java.lang.String namespaceName)

### toSystem

    protected ModuleDescriptor toSystem(ModuleDescriptor md)

### fromSystem

    protected Artifact fromSystem(Artifact artifact)

### toSystem

    protected Artifact toSystem(Artifact artifact)

### toSystem

    protected ResolvedModuleRevision toSystem(ResolvedModuleRevision rmr)

### toSystem

    protected ModuleRevisionId toSystem(ModuleRevisionId resolvedMrid)

### fromSystem

    protected DependencyDescriptor fromSystem(DependencyDescriptor dd)

### getSystemNode

    protected IvyNode getSystemNode(ResolveData data,
                                    ModuleRevisionId resolvedMrid)

### findModuleInCache

    protected ResolvedModuleRevision findModuleInCache(ResolveData data,
                                                       ModuleRevisionId mrid)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD